import request from '@/utils/request'

/* 获取全部信息 */
export function getMessage() {
  return request({
    url: '/showMessage',
    method: 'get'
  })
}

/* 添加信息 */
export function addMessage(data) {
  return request({
    url: '/insertAllMessage',
    method: 'post',
    data
  })
}

/* 根据id去查询信息 */
export function showMessage(params) {
  return request({
    url: '/showOneMessage',
    method: 'get',
    params
  })
}

/* 信息修改 */
export function updateMessage(data) {
  return request({
    url: '/updateMessage',
    method: 'post',
    data
  })
}